@echo off

set batchFolder=%~dp0

echo Installing RoboDK Autodesk Inventor plugin...
echo From: %batchFolder%
echo To  : %APPDATA%\Autodesk\Inventor 2019\Addins
::User-specific only: %APPDATA%\Autodesk\ApplicationPlugins\

echo Installing RoboDK plugin for Inventor 2019...
copy "%batchFolder%\RoboDKInventorAddIn.dll" "%APPDATA%\Autodesk\Inventor 2019\Addins\" /y
copy "%batchFolder%\Autodesk.RoboDKInventorAddIn.Inventor.addin" "%APPDATA%\Autodesk\Inventor 2019\Addins\" /y
echo Done

echo Installing RoboDK plugin for Inventor 2020...
copy "%batchFolder%\RoboDKInventorAddIn.dll" "%APPDATA%\Autodesk\Inventor 2020\Addins\" /y
copy "%batchFolder%\Autodesk.RoboDKInventorAddIn.Inventor.addin" "%APPDATA%\Autodesk\Inventor 2020\Addins\" /y
echo Done

echo Installing RoboDK plugin for Inventor 2021...
copy "%batchFolder%\RoboDKInventorAddIn.dll" "%APPDATA%\Autodesk\Inventor 2021\Addins\" /y
copy "%batchFolder%\Autodesk.RoboDKInventorAddIn.Inventor.addin" "%APPDATA%\Autodesk\Inventor 2021\Addins\" /y
echo Done


if "%~1"=="" (
echo\
echo Done
echo ----------------------------------------------------------
echo IMPORTANT: 
echo If errors arised make sure you set to "Unblock" the DLL file:
echo 
echo Also, make sure you run the BAT file as administrator.
pause
)

